<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('scan_qrcode_user', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->comment("签到人id");
            $table->string('nickname')->nullable()->comment("昵称");
            $table->string('avatar')->nullable()->comment("头像");
            $table->string('real_name')->nullable()->comment("真实姓名");
            $table->char('mobile',11)->nullable()->comment("电话号码");
            $table->integer('type')->comment("签到人类型,1:服务人员,2:客户,3:非客户")->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('scan_qrcode_user');
    }
};
